IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_csttype_insert]') AND type = 'TR')
DROP TRIGGER [dbo].[mps_csttype_insert]
GO
--客户类别插入的触发器
CREATE trigger [dbo].[mps_csttype_insert] on [dbo].[mps_csttype] for insert as
begin
    declare
       @maxcard  int,
       @numrows  int,
       @numnull  int,
       @errno    int,
       @errmsg   varchar(255)

    select  @numrows = @@rowcount
    if @numrows = 0
       return

declare @cmpid int 
select top 1 @cmpid = ct_cmpid from  inserted  
set @cmpid = isnull(@cmpid,0)

update mps_tableupdated set tu_updated=0 where  tu_table='mps_csttype' and tu_cmpid=@cmpid 

insert into mps_sync(sk_type,sk_bizid,sk_objid,sk_operation,sk_tag2) 
select 21 , ct_id , ct_id , 1 , 0 from inserted  

insert into mps_role(rl_cmpid,rl_value,rl_system,rl_title) 
select @cmpid , 1000000+ct_id,1,ct_type from inserted 

    return

/*  Errors handling  */
error:
    -- raiserror @errno @errmsg
    rollback  transaction
end